#ifndef M4ATAGS_ARGS_H
#define M4ATAGS_ARGS_H
/*
 * $Id$
 */

struct arguments {
	char *filename;
	unsigned int flags;
	char *encoder;
	char *artist;
	char *album;
	char *name;
	char *writer;
	char *genre;
	char *year;
	char *comment;
	u_int16_t track;
	u_int16_t total_tracks;
	u_int16_t disk;
	u_int16_t total_disks;
};

extern struct arguments args;

#define ARG_TEMPLATE "svVhy:e:a:A:n:w:g:t:T:d:D:c:"

#define ARG_STRIP      (1 << 0UL) /* -s */


unsigned int parse_args(int argc, char **argv);

#endif /* M4ATAGS_ARGS_H */
