#ifndef M4ATAGS_H
#define M4ATAGS_H
/*
 * $Id$
 */

#define APPNAME "m4atags"
#define VERSION "1.0"

#define PATH_SIZE 256

#include "config.h"

#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>

#define TRUE 1
#define FALSE 0

/*
 * min()/max()/abs() without macro side effects.
 */
#define max(a,b) \
	({typeof(a) _a = (a); \
	typeof(b) _b = (b);	\
	_a > _b ? _a : _b;})

#define min(a,b) \
	({typeof(a) _a = (a); \
	typeof(b) _b = (b); \
	_a > _b ? _b : _a;})

#endif /* M4ATAGS_H */
